Bug 54212 - Mono allows casts of non-zero bound array to zero bound array
Summary: Mono allows casts of non-zero bound array to zero bound array
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-03-29 12:54 UTC by Marek Safar
Modified: 2017-04-03 16:31 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2017-03-29 12:54:00 UTC
using System;

	class Program
	{
		static void Main (string [] args)
		{
			int [] myLengthArray = new int [1] { 3 };
			int [] myBoundArray = new int [1] { 1 };
			Array a = Array.CreateInstance (typeof (String), myLengthArray, myBoundArray);
			var res = a as Object [];
			Console.WriteLine (res); // Needs to print nothing
			return;
		}
	}
Comment 1 Zoltan Varga 2017-04-03 14:32:38 UTC
https://github.com/mono/mono/pull/4633
Comment 2 Zoltan Varga 2017-04-03 16:31:11 UTC
-> FIXED.